function result=riread(varargin)
if nargin~=0
  if exist(varargin{:},'file')==2
     fname = varargin{:};
  else
      disp('ERROR: file not found..please select now!');  
      [filename,dirname]=uigetfile('*.*','Open RI file');
      fname=[dirname,filename];
      cd dirname;
  end
else
  [filename,dirname]=uigetfile('*.*','Open RI file');
  fname=[dirname,filename];
  cd(dirname);
end
  
% ***************** Start to Read Data **************

fid = fopen(fname,'rb');

%Identification Parameters (See DRX Programming Manual p.46)

A = fread(fid,6,'int32');
%MagicNumber = A(1);
result.idparam.FileVersion = A(2);
result.idparam.SectionSize(1) = A(3);	
result.idparam.SectionSize(2) = A(4); 
result.idparam.SectionSize(3) = A(5); 
result.idparam.SectionSize(4) = A(6);
HeaderSize = sum(A(3:6));

A = fread(fid,1,'char');
result.Comment=A;


%System Parameters

fseek(fid,result.idparam.SectionSize(1),'bof');

A = fread(fid,4,'float32');
result.acq.Dead1 = A(1); 
result.acq.Dead2 = A(2);
result.acq.P90 = A(3); 
result.acq.P180 = A(4);

A = fread(fid,2,'float64');
result.acq.SF = A(1);
result.acq.O1 = A(2);

% Application Parameters

fseek(fid,result.idparam.SectionSize(1)+result.idparam.SectionSize(2),'bof');
A = fread(fid,1,'int32');
result.acq.SI = A(1);

A = fread(fid,13,'float32');
result.acq.DW = A(1);
result.acq.P(1) = A(2); 
result.acq.P(2) = A(3); 
result.acq.P(3) = A(4); 
result.acq.P(4) = A(5); 
result.acq.P(5) = A(6);
result.acq.RD = A(7);
result.acq.Tau = A(8);
result.acq.D(1) = A(9); 
result.acq.D(2) = A(10); 
result.acq.D(3) = A(11); 
result.acq.D(4) = A(12); 
result.acq.D(5) = A(13);

A = fread(fid,1,'int32');
result.acq.NS = A(1);

A = fread(fid,1,'float32');
result.acq.Filter = A(1);

fseek(fid,(132*5),'cof');    %Jumps over the Phase Lists

A = fread(fid,1,'float32');
result.acq.RG = A(1);
A = fread(fid,1,'int32');
result.acq.NECH = A(1);
A = fread(fid,1,'float64');
result.acq.SW = A(1);
A = fread(fid,1,'int32');
result.acq.DB = A(1);

A = fread(fid,2,'float64');
%Bessel = A(1);
%Butterworth = A(2);

A = fread(fid,32,'char');
result.acq.SeqName = char([A']);

A = fread(fid,13,'float32');
result.acq.RFA0 = A(1);
result.acq.RFA1 = A(2);
%WobbleWidth = A(13);

A = fread(fid,17,'int32');
result.acq.GRead =  A(6);
result.acq.GPhase = A(7);
result.acq.GSlice = A(8);
result.acq.G(1) = A(9);
result.acq.G(2) = A(10);
result.acq.G(3) = A(11);
result.acq.G(4) = A(12);
result.acq.G(5) = A(13);
result.acq.G(6) = A(14);
result.acq.G(7) = A(15);
result.acq.G(8) = A(16);
result.acq.G(9) = A(17);

A = fread(fid,2,'float32');
%MAC1 = A(1);
%MAC2 = A(2);

A = fread(fid,20,'char');
result.acq.SH1 = char(A)';
A = fread(fid,20,'char');
result.acq.SH2 = char(A)';
A = fread(fid,20,'char');
result.acq.SH3 = char(A)';
A = fread(fid,20,'char');
result.acq.SH4 = char(A)';
A = fread(fid,20,'char');
result.acq.SH5 = char(A)';


A = fread(fid,17,'int32');
result.acq.DS = A(1);
result.acq.NA = A(2);
result.acq.IG(1) = A(3);
result.acq.IG(2) = A(4);
result.acq.IG(3) = A(5);
result.acq.IG(4) = A(6);
result.acq.IG(5) = A(7);
result.acq.IG(6) = A(8);
result.acq.IG(7) = A(9);
result.acq.IG(8) = A(10);
result.acq.IG(9) = A(11);
result.acq.Dim(1) = A(12);
result.acq.Dim(2) = A(13);
result.acq.Dim(3) = A(14);
result.acq.Dim(4) = A(15);
result.acq.imageechoes= A(16);
result.acq.imageslices= A(17);

A = fread(fid,7,'float32');
result.acq.D(6)= A(1);
result.acq.D(7)= A(2);
result.acq.D(8)= A(3);
result.acq.D(9)= A(4);
result.acq.D(10)= A(5);
result.acq.D(11)= A(6);
result.acq.D(12)= A(7);
A = fread(fid,12,'char');
A = fread(fid,9,'int32');
result.acq.tp= A(1);
result.acq.C(6)= A(3);
result.acq.C(7)= A(4);
result.acq.C(8)= A(5);
result.acq.C(9)= A(6);
result.acq.C(10)= A(7);
result.acq.C(11)= A(8);
result.acq.C(12)= A(9);
A = fread(fid,5,'float32');
for k=1:5
result.acq.FP(k)= A(k);
end
A = fread(fid,9,'float32');
result.acq.GReadXYZ(1)= A(1); %Gread x
result.acq.GReadXYZ(2)= A(2); %Gread y
result.acq.GReadXYZ(3)= A(3); %Gread z
result.acq.GPhaseXYZ(1)= A(4);
result.acq.GPhaseXYZ(2)= A(5);
result.acq.GPhaseXYZ(3)= A(6);
result.acq.GSliceXYZ(1)= A(7);
result.acq.GSliceXYZ(2)= A(8);
result.acq.GSliceXYZ(3)= A(9);

%  Read Data  
fseek(fid,HeaderSize,'bof');
if result.idparam.FileVersion == 0  %case FID
    for i=1:result.acq.SI     	    
        DataA(i) = fread(fid,1,'float32');
        DataB(i) = fread(fid,1,'float32');
        result.time(i)  = fread(fid,1,'float64');
    end
    result.data=squeeze(complex(DataA,DataB));
end       
if result.idparam.FileVersion == 1 %case  2D
	for i=1:result.acq.tp  	
        result.time(i)  = fread(fid,1,'float64');
    end
    siz=prod(result.acq.Dim(1:4))*2;
    data=fread(fid,siz,'float32');
    data=reshape(data,2,result.acq.Dim(1),result.acq.Dim(2),result.acq.Dim(3),result.acq.Dim(4));
    data=complex(data(1,:,:,:,:),data(2,:,:,:,:));
    %result.data=data;   
    result.data=squeeze(data);   
%      for j=1:result.acq.Dim(2)
 %       for i=1:result.acq.Dim(1)    	    
 %         DataA(i,j) = fread(fid,1,'float32');
 %         DataB(i,j) = fread(fid,1,'float32');      
 %       end
 %      end
end
%result.time=Time;
fclose(fid);

% ***************  END OF READING DATA ***************

